%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		aldrin
Version:	0.13
Release:	3%{?dist}
Summary:	Modular music sequencer/tracker
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://code.google.com/p/aldrin-sequencer/
Source0:	http://aldrin-sequencer.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		aldrin-docfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	scons
BuildRequires:	desktop-file-utils
Requires:	pyzzub >= 0.2.6
Requires:	pygtk2

%description
Aldrin is a powerful music composition software featuring a flexible audio
routing system commonly found in expensive audio software, enabling you to mix,
split, mutilate and modify audio signals emitted by software synthesizers and
samples.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .docfix


%build
# Fix encoding
iconv --from-code=ISO-8859-1 --to-code=UTF-8 CREDITS > CREDITS~
touch -r CREDITS CREDITS~
%{__mv} CREDITS~ CREDITS

# Fix permission
%{__chmod} 644 src/components/player.py

%install
%{__rm} -rf $RPM_BUILD_ROOT
scons install PREFIX=%{_prefix} DESTDIR=$RPM_BUILD_ROOT

desktop-file-install	--vendor="fedora" \
			--remove-category="Application" \
			--add-category="Sequencer" \
			--delete-original \
			--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
			$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%{_bindir}/aldrin*
%config(noreplace) %{_sysconfdir}/%{name}
%{python_sitelib}/%{name}
%{_defaultdocdir}/%{name}-%{version}
%{_datadir}/%{name}
%{_datadir}/icons/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Aug 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.13-3
- Update the .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.13-1
- Update to version 0.13

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11-7
- Rebuild for Python 2.6

* Fri Oct  5 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-6
- added ExludeArch for ppc64 to reflect libzzub unavailability on that arch

* Thu Sep 27 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-5
- nailed to pyzzub version 0.2.3 for docpath compatibility

* Tue Sep 25 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-4
- updated patch to fix referenced libzzub doc locations

* Tue Sep 18 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-3
- generic sf.net source url
- adapted macros wherever feasible (both paths and commands)
- unified buildroot style
- removed redundant ldconfig update call
- new patch to rectify aldrin's installation doc directory and file list
- added missing python module requirement
- added update calls for GTK icon cache and desktop database

* Tue Sep 18 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-2
- updated requires to new libzzub w/ integrated pyzzub
- removed redundant requires
- fixed rpm path macros
- fixed CREDITS encoding

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-1
- initial release
